## org.eclipse.emf.codegen.ecore.genmodel.action
Class CreateChildAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.edit.ui.action.StaticSelectionCommandAction
                      org.eclipse.emf.codegen.ecore.genmodel.action.CreateChildAction

All Implemented Interfaces:
  IAction

    public class CreateChildAction

extends StaticSelectionCommandAction

This performs child creation by delegating to a `CreateChildCommand`.

Field Summary
`protected CommandParameter` `newChildDescriptor` This is the descriptor for the child to be created.

Fields inherited from class org.eclipse.emf.edit.ui.action.StaticSelectionCommandAction
`command, editingDomain`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CreateChildAction(IEditorPart editorPart, ISelection selection, CommandParameter newChildDescriptor)` This constructs an instance of an action that creates a child described by newChildDescriptor.

Method Summary
`protected Command` `createActionCommand(EditingDomain editingDomain, java.util.Collection<?> collection)` This creates the command that creates the child and adds it under the single selected object, specified in collection.
`protected ImageDescriptor` `getDefaultImageDescriptor()` This returns the image that is used if the command does not provide an override.

Methods inherited from class org.eclipse.emf.edit.ui.action.StaticSelectionCommandAction
`configureAction, disable, objectToImageDescriptor, run`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### newChildDescriptor

    protected CommandParameter newChildDescriptor

  This is the descriptor for the child to be created.

Constructor Detail

### CreateChildAction

    public CreateChildAction(IEditorPart editorPart,
                             ISelection selection,
                             CommandParameter newChildDescriptor)

  This constructs an instance of an action that creates a child described by newChildDescriptor.

Method Detail

### getDefaultImageDescriptor

    protected ImageDescriptor getDefaultImageDescriptor()

  This returns the image that is used if the command does not provide an override.

  Overrides:
    `getDefaultImageDescriptor` in class `StaticSelectionCommandAction`

### createActionCommand

    protected Command createActionCommand(EditingDomain editingDomain,
                                          java.util.Collection<?> collection)

  This creates the command that creates the child and adds it under the single selected object, specified in collection.

  Specified by:
    `createActionCommand` in class `StaticSelectionCommandAction`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.